Home > Emacs Cannot > Emacs Cannot Open Termcap Database File Mac Port

Emacs Cannot Open Termcap Database File Mac Port

For the most part, I'm a vim user myself, but I've been trying to "broaden my horizons" and learn Emacs. T.T.F.N. I have many other options, including the Cocoa native GUI version of Emacs. Download in other formats: Comma-delimited Text Tab-delimited Text RSS Feed Para poder utilizar los foros de debate de Grupos de Google, debes habilitar JavaScript en la configuración del navegador y, a have a peek here

emacs quick hacks Previous post Next post Comments Please enable JavaScript to view the comments powered by Disqus. Under 10.5.8, Emacs in a terminal window worked fine, but after upgrading, it appears to be broken:% which emacs/usr/bin/emacs% emacs -versionGNU Emacs 23.1.50.1...% emacsemacs: Cannot open termcap database fileAny ideas? Can someone tell me what filenames and directories to search for this file? I assume that one fix is to insert: (setq system-uses-terminfo y) Into a .emacs file. https://trac.macports.org/ticket/30588

Privacy Policy Terms of Use Sales and Refunds Legal Site Map Contact Apple Skip to main content Toggle navigation The Standard Output About Archive Tags Code Feed Emacs: Cannot open termcap I downloaded Emacs from CVS and proceeded to configure, build and install it from source in that little VM of mine. But of course external command knows nothing about your alias. But ncurses and ncursesw are both installed correctly as dependencies, as they should be.

Oldest first Newest first Threaded Comments only Change History (4) comment:1 Changed 5 years ago by [email protected]… Owner changed from [email protected]… to [email protected]… Port emacs added comment:2 Changed 5 years ago Thanks for the pointer! Thanks Note: See TracTickets for help on using tickets. The error message is: emacs: "Cannot open termcap database file" You better report this problem as a MacPorts bug (https://trac.macports.org/ ) – besides: does the problem also exist when you launch

The first thing to figure out is where is Emacs looking for this termcap file? Magill # iMac6,1 Core 2 Duo [2.16GHz - 3 GB 667] OS X 10.6.7 # MacBook Pro4.1 Core 2 Duo [2.5GHz - 4GB 667] OS X 10.6.7 # Mac mini Core So I guess OP's emacs is not the one preinstalled in 10.6. http://comments.gmane.org/gmane.os.apple.macports.user/23461 So, this did not show up.Removing the above alias from my .bash_profile fixed the problem.I hope this helps someone.

HOWEVER, what confuses me is the fact that: Fink in NOT active. But after that I removed Fink from my PATHS. The first thing to figure out is where is Emacs looking for this termcap file? comment:3 Changed 5 years ago by drkp (Dan Ports) Resolution set to invalid Status changed from new to closed It looks like you have a copy of ncurses installed via Fink.

This opens the possibility that emacs is not linking ncurses correctly during compilation. Mi cuentaBúsquedaMapsYouTubePlayNoticiasGmailDriveCalendarGoogle+TraductorFotosMásShoppingDocumentosLibrosBloggerContactosHangoutsAún más de GoogleIniciar sesiónCampos ocultosBuscar grupos o mensajes emacs: Cannot open termcap database file Dietrich Bollmann diresap at gmail.com Mon Jun 13 07:59:56 CEST 2011 Previous message: Perl Thanks Jun (and others as well). No Fink in '/etc/profile' No Fink in .bashrc.

Second, supposing it is missing, where can I find a suitable termcap database file? navigate here Then again, emacs may be using termcap in a generic sense.Personally I build my own editor (which for me happens to be Vim; please don't hold it against me).If you are Second, supposing it is missing, where can I find a suitable termcap database file? I also tried ./configure --build=i386-*-freebsd but I get errors.

The path suggests a fink install. Can someone tell me what filenames and directories to search for this file? For posterity's sake, I'll post a follow-up if I find out what it is. http://optimisersonpc.com/emacs-cannot/emacs-cannot-open-termcap-database-file-mac.html The error message is: emacs: "Cannot open termcap database file" You better report this problem as a MacPorts bug (https://trac.macports.org/ ) – besides: does the problem also exist when you launch

Nov 16, 2009 3:42 PM Helpful (1) Reply options Link to this post by Gary Schiltz, Gary Schiltz Nov 16, 2009 5:59 PM in response to Jun T. Thanks! ~kj P.S. Apple may provide or recommend responses as a possible solution based on the information provided; every potential issue may involve several factors not detailed in the conversations captured in an electronic

GBiz is too! Latest News Stories: Docker 1.0Heartbleed Redux: Another Gaping Wound in Web Encryption UncoveredThe Next Circle of Hell: Unpatchable SystemsGit 2.0.0 ReleasedThe Linux Foundation Announces Core Infrastructure

  1. Emacs cannot be opened because it cannot open the termcap database file.
  2. Thanks! ~kj P.S.
  3. Level 1 (0 points) Nov 16, 2009 5:59 PM in response to Jun T.
  4. Magill magill at mcgillsociety.org Fri Mar 25 14:04:20 EDT 2011 Previous message: [OS X Emacs] Aquamacs 2.2 released Next message: [OS X Emacs] Apple Emacs on Mac OSX Server - 10.6.7
  5. I may have upgraded my Emacs at one point under 10.5.x, and those updates got only partially propagated when I upgraded to 10.6.
  6. All rights reserved.
  7. That said, if you didn't do a selfupdate within the last 12 hours you might try doing so and then trying to build emacs again.

Comparing the emacs packages between the Apple provided and MacPorts I find that the 'termcap.src' file is present in the '/usr/share/emacs/22.1/etc' Apple installation, whereas the equivalent file is absent in the I was mostly just curious, and seeing Jun's response helps me see, like I said before, that something is messed up with my Emacs installation. There is an easy fix for this problem: install the package libncurses5-dev which will provide the file termcap.h. When it didn't find that, it then tried the older termcap.

Nov 16, 2009 6:28 PM Helpful (0) Reply options Link to this post by Jun T., Jun T. Search: GitHub LoginPreferencesMy Notifications TicketsWiki​GitHubTimelineRoadmapTicket ReportsSearch Context Navigation ← Previous TicketNext Ticket → Opened 5 years ago Closed 5 years ago Last modified 5 years ago #30588 closed defect (invalid) emacs It's been a long time since I diddled with elisp so I don't remember how to display the current value of that variable. this contact form This variable can be used by terminal emulator packages. ...

Thanks, Dietrich Previous message: Perl 5.14 date? Next Message by Thread: Re: "Cannot open termcap database file" In [email protected] writes: >If that doesn't help, look around for a terminfo file, it will probably >be part of the Once I find a terminfo file (assuming I do), where should I put it so that Emacs finds it? The error message is: emacs: "Cannot open termcap database file" This error has already been reported to MacPorts, but there's no activity on fixing the problem, so I want to try

Sagt die eine zur anderen: "So, hier beginnt also die Unendlichkeit!" Previous Message by Thread: Re: "Cannot open termcap database file" kj writes: > The Emacs port provided by MacPorts Are you sure maybe your version did not get updated? GBiz is too! Latest News Stories: Docker 1.0Heartbleed Redux: Another Gaping Wound in Web Encryption UncoveredThe Next Circle of Hell: Unpatchable SystemsGit 2.0.0 ReleasedThe Linux Foundation Announces Core Infrastructure Then when I went to run Emacs, I got the error Cannot open termcap database file.

Am 18.12.2010 um 23:57 schrieb Urs Rau (UK): I am using the latest emacs under Mac OS X 10.6.x Not everyone is using the "latest emacs" â which version is this? Nov 17, 2009 7:07 AM in response to Gary Schiltz Level 4 (2,185 points) Nov 17, 2009 7:07 AM in response to Gary Schiltz Okay, so just typing emacs should execute Nov 16, 2009 7:06 AM Helpful (0) Reply options Link to this post by Jun T.,★Helpful Jun T. I just want to enable it not toggle, but that function only support > toggling apparently, and I don't see a variable to check if I'm > already in full screen

Is it a terminal, X11, Carbon, Cocoa, or AppKit based variant? All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.  Apple Support Communities More ways to shop: Visit an Apple You may be interested to know that this is actually a common problem in a No X of Ubuntu Server. The Carbon variant has a print entry in the File menu (â-P) from mac- print-mode.el which interfaces to the Mac OS X printing system and offers the standard form to choose

Since: system-uses-terminfo Variable: Non-nil means the system uses terminfo rather than termcap. Then compile Emacs again and everything should work normally with it as the default editor in your server. Thread at a glance: Previous Message by Date: "Cannot open termcap database file" The Emacs port provided by MacPorts (Emacs 23.2.1) won't start on OS X Snow Leopard. Next message: emacs: Cannot open termcap database file Messages sorted by: [ date ] [ thread ] [ subject ] [ author ] More information about the macports-users mailing list Open

I recently made a change that may help (r81667). Instead, please use "type" builtin: "type emacs" etc. Nov 16, 2009 9:55 AM Helpful (0) Reply options Link to this post by Jun T.,★Helpful Jun T. You can not post a blank message.

Back to Top